#ifndef __MATRIX_H
#define __MATRIX_H

#include "sys.h"

#define MATRIX_PORT         P6  
#define MATRIX_PORT_MODE()  {P6M1=0x00;P6M0=0xff;}//推挽输出

void matrix_init(); //点阵屏初始化
void matrix_scan_callback();    //点阵屏扫描回调函数(需要在1ms定时器中断函数里调用,总周期16ms<视觉20ms)
void matrix_set_pixel(uint8 x,uint8 y,uint8 state); //点阵屏设置指定点亮灭状态
void matrix_update_buf(uint8 *from);    //点阵屏显示缓存更新数据
void matrix_clear();    //点阵屏清屏
void matrix_display_char(char c);	//点阵显示字符
void matrix_display_string(uint8 *chr);	//点阵显示字符串

#endif

